- Qt 6.11
- Qt Qml
- CMake Global Variables in Qt6 Qml
- QT_QML_GENERATE_QMLLS_INI_NO_CMAKE_CALLS
- Qt 6.11.2 Reference Documentation

# QT_QML_GENERATE_QMLLS_INI_NO_CMAKE_CALLS

Customizes the value of no-cmake-calls in .qmlls.ini files for QML Language Server.

This variable was introduced in Qt 6.10.

`QT_QML_GENERATE_QMLLS_INI_NO_CMAKE_CALLS` is a boolean that controls the `no-cmake-calls` value in `.qmlls.ini` files generated with the QT_QML_GENERATE_QMLLS_INI option. Set it to `ON` to disable CMake calls by QML Language Server.

As this variable is used for IDE integration, it should normally not be set in a project itself, but passed to CMake via an IDE or manually by passing

     -DQT_QML_GENERATE_QMLLS_INI=ON -DQT_QML_GENERATE_QMLLS_INI_NO_CMAKE_CALLS=ON

to the cmake executable.

This variable has no effect if QT_QML_GENERATE_QMLLS_INI is disabled.

See also QT_QML_GENERATE_QMLLS_INI and Configuring Automatic CMake Builds.